<?

/**
 *                                       
 *
 *                                   
 *                                    
 *                                           
 *
 *                                                                                                                      
 **/
function ldapGetHandle($handle = array(), $userBind = "default") {
global $LDAP_LOGIN, $FEATURE;

if (!$FEATURE["ldap"]) return false;

if (!$handle["server"]) $handle = $LDAP_LOGIN;

if ($userBind) {
$user = ldapGetUserLogin($userBind);

//                            
 if (is_array($user)) {
$rs = mydb_connect("", $handle["server"], $user["login"], $user["pw"], "ldap");
if ($rs) return $rs;
}
}

//                                          /  
 $rs = mydb_connect("", $handle["server"], $handle["login"], $handle["pw"], "ldap");
return $rs;
}

function ldapStoreUserLogin($user, $passwd, $handleName="default") {
mysession_var_reg("LDAP_USERDATA");
global $LDAP_USERDATA;
$LDAP_USERDATA[$handleName]["user"] = $user;
///                                                
 $LDAP_USERDATA[$handleName]["pw"]= $passwd;
}

function ldapGetUserLogin($handleName="default") {
global $FEATURE, $LDAP_USERDATA;

if (!$FEATURE["ldap"]) return false;

///                        
 if (is_array($data = $LDAP_USERDATA[$handleName])) {
return $data;
}

return false;
}

/**
 *                                        
 * 
 *                                                  
 *                                                                                                 
 *                                                                     
 **/
function ldapBindUser($user, $passwd, $handle = array(), $storePasswd = "default") {
global $LDAP_LOGIN, $FEATURE;

if (!$FEATURE["ldap"]) return 0;

if (!$handle["server"]) $handle = $LDAP_LOGIN;

//                       
 $rs = mydb_connect("", $handle["server"], $user, $passwd, "ldap", false, false);

if ($rs) {
//            
 if ($storePasswd) ldapStoreUserLogin($user, $passwd, $storePasswd);
}

return $rs;
}

function ldapBind($handle = array(), $halt = true) {

global $LDAP_LOGIN, $FEATURE;

$rs = false;

if (!$FEATURE["ldap"]) return 0;

if (!$handle["server"]) $handle = $LDAP_LOGIN;

$rs = mydb_connect("", $handle["server"], $handle["login"], $handle["pw"], "ldap", true, $halt);

return $rs;
}

?>
