<?php
$maingui = &GUIFactory::setMainGUI("main");

node_class("htmlform3");
node_class("textcomponent");
node_class("selectcomponent");
node_include("form_do");

function saveEntry(&$form) {
global $REDO;
$REDO = 15212;
}

function chooseAttributeType(&$form) {
$fattributetype =& $form->resolveComponent("main.attributetype");
$type = $fattributetype->getSingleSelection();

$fobjtype =& $form->resolveComponent("main.objtype");
$fobjtype->setVisible($type == 2 || $type == 7);
$fobjtype->setOptional(!($type == 2 || $type == 7));

$fforeignlinkattribute =& $form->resolveComponent("main.foreignlinkattribute");
$fforeignlinkattribute->setVisible($type == 7);

$fforeignlinkattributerule =& $form->resolveComponent("main.foreignlinkattributerule");
$fforeignlinkattributerule->setVisible($type == 7);
}

//                      
$mapname = "publisher";
$tagname = "page.publisher";
$object = "10007";
$attributetype = "1";
$multivalue = 0;
$optimized = 1;

if (!$edit || $res) {
$disabled = true;
}

$form = new HtmlForm3("entry_details",true);

if ($form->isNew()) {
$form->setHeader("Content Repository Attribute", null);

$main = new ListComponent();

$fmapname = new TextComponent(i18n("mapname"), true, $mapname);
$main->setComponent("mapname", $fmapname);
$fmapname->setDisabled($disabled);
$fmapname->setEditable(!$disabled);

$ftagname = new TextComponent(i18n("tagname"), true, $tagname);
$main->setComponent("tagname", $ftagname);
$ftagname->setDisabled($disabled);
$ftagname->setEditable(!$disabled);

$objTypes = array( "10002" => "[10002] Folder",
"10007" => "[10007] Page",
"10008" => "[10008] File" );
$main->setComponent( "object", $fobject = new SelectComponent( i18n( "object" ) ,
$objTypes, $object ) );
$fobject->setEditable(!$disabled);

$main->setComponent( "attributetype",
$fattributetype = new SelectComponent( i18n( "attributetype" ),
array( "1" => "[1] Text (short)",
"2" => "[2] Object Link",
"3" => "[3] Integer",
"5" => "[5] Text (long)",
"6" => "[6] Binary",
"7" => "[7] Foreign Link"), $attributetype ) );
$fattributetype->setOnChangeAction(new SimpleFormAction("chooseAttributeType"));
$fattributetype->setEditable(!$disabled);

$main->setComponent( "multivalue", $fmultivalue = new CheckboxComponent( i18n("Multivalue"), $multivalue ) );
$fmultivalue->setEditable(!$disabled);

$main->setComponent( "optimized", $foptimized = new CheckboxComponent( i18n("Optimized"), $optimized ) );
$foptimized->setEditable($edit ? true : false);

$main->setComponent( "objtype", $fobjtype = new SelectComponent( i18n( "Linked Object Type" ), $objTypes, $objtype ) );
$fobjtype->setVisible($attributetype == 2 || $attributetype == 7);
$fobjtype->setOptional(!($attributetype == 2 || $attributetype == 7));
$fobjtype->setEditable(!$disabled);

$main->setComponent( "foreignlinkattribute", $fforeignlinkattribute = new TextComponent( i18n( "Foreignlink Attribute" ), true, $foreignlinkattribute ) );
$fforeignlinkattribute->setVisible($attributetype == 7);
$fforeignlinkattribute->setOptional(true);
$fforeignlinkattribute->setDisabled($disabled);
$fforeignlinkattribute->setEditable(!$disabled);

$main->setComponent( "foreignlinkattributerule", $fforeignlinkattributerule = new TextAreaComponent( i18n("Foreignlink Attribute Rule"), true, $foreignlinkattributerule ) );
$fforeignlinkattributerule->setVisible($attributetype == 7);
$fforeignlinkattributerule->setOptional(true);
$fforeignlinkattributerule->setDisabled($disabled);
$fforeignlinkattributerule->setEditable(!$disabled);

$form->addComponent("main", $main);

$form->addButton("ok", $fok = new Button(i18n("ok")), new SimpleFormAction("saveEntry"), false);
$fok->setEnabled($edit ? true : false);

$form->addButton("cancel", new Button(i18n("cancel"), false), new RedoFormAction("15212"), false);
}

?>
